[BACK]Return to README.FreeBSD CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / bootstrap

File: [cvs.NetBSD.org] / pkgsrc / bootstrap / README.FreeBSD (download)

Revision 1.8, Thu Feb 9 00:20:59 2017 UTC (3 years, 6 months ago) by sevan
Branch: MAIN
CVS Tags: pkgsrc-2020Q2-base, pkgsrc-2020Q1-base, pkgsrc-2020Q1, pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2, pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1
Branch point for: pkgsrc-2020Q2
Changes since 1.7: +13 -5 lines

- With the move to pkgng, it is no longer required to rename binaries on current
  release, state that instructions only apply to legacy release.
- State that only the compler in base is currently support.
- Update the list of tested releases.

$NetBSD: README.FreeBSD,v 1.8 2017/02/09 00:20:59 sevan Exp $

Please read the general README file as well.

On legacy releases (9.3 and prior), care should be taken so that the tools
installed by this kit do not conflict with the tools already provided as part of
the FreeBSD userland.

If you do not intend to use the FreeBSD ports tools (on 9.3 and prior), it may be a
good idea to move them out of the way to avoid confusion, e.g.:
	cd /usr/sbin
	mv pkg_add pkg_add.orig
	mv pkg_create pkg_create.orig
	mv pkg_delete pkg_delete.orig
	mv pkg_info pkg_info.orig

Alternatively, take care to get pkgsrc tools first in PATH.

This is not an issue with releases of FreeBSD which solely support pkgng such as
10.0-RELEASE and newer.

Currently bootstrap is only supported using the compiler shipped in base and not
a version of GCC installed from ports, clang from ports is untested.

bootstrap-pkgsrc has been tested on FreeBSD 4.x and 5.x (i386).
pkgsrc works well on FreeBSD 6.2-6.4, 7.1-7.3 (i386), 9.0-9.1, 10.1-10.3,
11-12-CURRENT (amd64).